Loading...
Searching...
No Matches
CxxTest::DummySuiteDescription Class Reference

`#include <DummyDescriptions.h>`

## Public Member Functions

| DummySuiteDescription ()
const char * | file () const
unsigned | line () const
const char * | suiteName () const
TestSuite * | suite () const
unsigned | numTests () const
const TestDescription & | testDescription (unsigned) const
SuiteDescription * | next ()
TestDescription * | firstTest ()
const SuiteDescription * | next () const
const TestDescription * | firstTest () const
void | activateAllTests ()
bool | leaveOnly (const char *)
bool | setUp ()
bool | tearDown ()
Public Member Functions inherited from CxxTest::SuiteDescription
virtual | ~SuiteDescription ()
Public Member Functions inherited from CxxTest::Link
| Link ()
virtual | ~Link ()
bool | active () const
void | setActive (bool value=true)
Link * | justNext ()
Link * | justPrev ()
Link * | next ()
Link * | prev ()
const Link * | next () const
const Link * | prev () const
void | attach (List &l)
void | detach (List &l)

## Private Attributes

DummyTestDescription | _test

## Detailed Description

Definition at line 29 of file DummyDescriptions.h.

## Constructor & Destructor Documentation

## DummySuiteDescription()

CxxTest::DummySuiteDescription::DummySuiteDescription | ( |  | ) |

Definition at line 18 of file DummyDescriptions.cpp.

: _test() {}
CxxTest::DummySuiteDescription::_test
DummyTestDescription _test
Definition DummyDescriptions.h:51

## Member Function Documentation

## activateAllTests()

void CxxTest::DummySuiteDescription::activateAllTests | ( |  | ) |

virtual

Implements CxxTest::SuiteDescription.

Definition at line 30 of file DummyDescriptions.cpp.

{}

## file()

const char * CxxTest::DummySuiteDescription::file | ( |  | ) | const

virtual

Implements CxxTest::SuiteDescription.

Definition at line 20 of file DummyDescriptions.cpp.

{ return "<no file>"; }

## firstTest() [1/2]

TestDescription * CxxTest::DummySuiteDescription::firstTest | ( |  | ) |

virtual

Implements CxxTest::SuiteDescription.

Definition at line 27 of file DummyDescriptions.cpp.

{ return 0; }

## firstTest() [2/2]

const TestDescription * CxxTest::DummySuiteDescription::firstTest | ( |  | ) | const

virtual

Implements CxxTest::SuiteDescription.

Definition at line 29 of file DummyDescriptions.cpp.

{ return 0; }

## leaveOnly()

bool CxxTest::DummySuiteDescription::leaveOnly | ( | const char * |  | ) |

virtual

Implements CxxTest::SuiteDescription.

Definition at line 31 of file DummyDescriptions.cpp.

{ return false; }

## line()

unsigned CxxTest::DummySuiteDescription::line | ( |  | ) | const

virtual

Implements CxxTest::SuiteDescription.

Definition at line 21 of file DummyDescriptions.cpp.

{ return 0; }

## next() [1/2]

SuiteDescription * CxxTest::DummySuiteDescription::next | ( |  | ) |

virtual

Implements CxxTest::SuiteDescription.

Definition at line 26 of file DummyDescriptions.cpp.

{ return 0; }

## next() [2/2]

const SuiteDescription * CxxTest::DummySuiteDescription::next | ( |  | ) | const

virtual

Implements CxxTest::SuiteDescription.

Definition at line 28 of file DummyDescriptions.cpp.

{ return 0; }

## numTests()

unsigned CxxTest::DummySuiteDescription::numTests | ( |  | ) | const

virtual

Implements CxxTest::SuiteDescription.

Definition at line 24 of file DummyDescriptions.cpp.

{ return 0; }

## setUp()

bool CxxTest::DummySuiteDescription::setUp | ( |  | ) |

virtual

Implements CxxTest::Link.

Definition at line 33 of file DummyDescriptions.cpp.

{ return true;}

## suite()

TestSuite * CxxTest::DummySuiteDescription::suite | ( |  | ) | const

virtual

Implements CxxTest::SuiteDescription.

Definition at line 23 of file DummyDescriptions.cpp.

{ return 0; }

## suiteName()

const char * CxxTest::DummySuiteDescription::suiteName | ( |  | ) | const

virtual

Implements CxxTest::SuiteDescription.

Definition at line 22 of file DummyDescriptions.cpp.

{ return "<no suite>"; }

## tearDown()

bool CxxTest::DummySuiteDescription::tearDown | ( |  | ) |

virtual

Implements CxxTest::Link.

Definition at line 34 of file DummyDescriptions.cpp.

{ return true;}

## testDescription()

const TestDescription & CxxTest::DummySuiteDescription::testDescription | ( | unsigned |  | ) | const

virtual

Implements CxxTest::SuiteDescription.

Definition at line 25 of file DummyDescriptions.cpp.

{ return _test; }

## Field Documentation

## _test

DummyTestDescription CxxTest::DummySuiteDescription::_test

private

Definition at line 51 of file DummyDescriptions.h.

The documentation for this class was generated from the following files:

- libpolys/tests/cxxtest/DummyDescriptions.h
- libpolys/tests/cxxtest/DummyDescriptions.cpp